/* http://meyerweb.com/eric/tools/css/reset/ */
html {
  padding-bottom: 0 !important;
}

html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption, footer, header, hgroup, menu, nav, output, ruby, section, summary, time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section {
  display: block;
}
body {
  cursor: default;
  line-height: 1;
}
ol, ul {
  list-style: none;
}
blockquote, q {
  quotes: none;
}
blockquote::before, blockquote::after, q::before, q::after {
  content: '';
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}
* {
  box-sizing: border-box;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
}
input, textarea, button, select, a {
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
*,
*:focus,
*:active {
  box-shadow: none;
}
a {
  color: inherit;
  text-decoration: none;
}
button[disabled],
input[disabled] {
  cursor: default;
}
button {
  cursor: pointer;
}
input,
select,
button {
  background-image: none;
  background-color: var(--color-white);
  border: 1px solid var(--color-line);
  border-radius: 8px;
  box-shadow: none;
  color: inherit;
  font-size: inherit;
  margin: 0;
  outline: none;
  padding: 12px;
  -moz-appearance: none;
  -webkit-appearance: none;

  &.reset {
    background-color: transparent;
    border: none;
  }
}
select::-ms-expand {
  display: none;
}

textarea {
  font: inherit;
}